Bug 1659092 - [RFE] Unable to Pass A List As Extra Variable For Ansible Playbooks
Summary: [RFE] Unable to Pass A List As Extra Variable For Ansible Playbooks
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.11.z
Assignee: Tina Fitzgerald
QA Contact: Jaroslav Henner
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 14:46 UTC by myoder
Modified: 2020-07-13 20:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-02 19:09:07 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Ansible Tower UI for extra vars (38.51 KB, image/png)
2019-01-02 20:30 UTC, Lucy Fu
no flags Details

Description myoder 2018-12-13 14:46:25 UTC
Description of problem:

When passing a list as an extra variable to an ansible playbook, the list is always treated as a string.

Ex.

 ["1","2","3","4"]

is treated like

  '["1","2","3","4"]'
 

Version-Release number of selected component (if applicable):
CFME 5.9.5

How reproducible:
always

Steps to Reproduce:
1. Setup an ansible playbook service
2. Send a list as an extra variable
3.

Actual results:
List will always be treated as a string, not a list

Expected results:
Should be able to insert a list into an ansible playbook as an extra variable

Additional info:
Attaching screenshots.

Comment 4 Lucy Fu 2019-01-02 20:28:20 UTC
Currently UI returns the extra vars data in a string format. Backend can't retrieve the list data out of the string.

Ansible Tower UI allows the user to input extra vars in both yaml and json format. I am attaching a snapshot of it.
Can we add the same function to our UI so backend can get the list data from UI in either yaml or json format?

Comment 5 Lucy Fu 2019-01-02 20:30:08 UTC
Created attachment 1518029 [details]
Ansible Tower UI for extra vars

Comment 6 Tina Fitzgerald 2019-01-17 17:10:24 UTC
This was not part of the original design and has a large impact. Changing ticket to RFE.

Comment 8 Tina Fitzgerald 2019-01-17 17:15:08 UTC
Assigning to Loic for scoping.

Comment 10 Tina Fitzgerald 2019-01-21 15:47:12 UTC
Hi Loic,

The limitation is in CloudForms.

Thanks,
Tina

Comment 11 Loic Avenel 2019-01-21 17:16:06 UTC
ok, Let's go for it.

Comment 12 Tina Fitzgerald 2019-01-21 17:32:43 UTC
Thanks Loic, this RFE involves UI changes and should be scoped for 5.11. Does that work for you?

Comment 13 Loic Avenel 2019-01-22 11:55:37 UTC
(In reply to Tina Fitzgerald from comment #12)
> Thanks Loic, this RFE involves UI changes and should be scoped for 5.11.
> Does that work for you?

set for 5.11

Comment 15 Jaroslav Henner 2020-07-13 20:38:14 UTC
This is DEFERRED, therefore I cannot make any automation for this at the moment.


Note You need to log in before you can comment on or make changes to this bug.